Package org.drinkless.tdlib

# Class TdApi.AuctionRound

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuctionRound

Enclosing class:
  `TdApi`

public static class TdApi.AuctionRound extends TdApi.Object
Describes a round of an auction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the round, in seconds.
  `int`
  `extendTime`
  The number of seconds for which the round will be extended if there are changes in the top winners.
  `int`
  `number`
  1-based number of the round.
  `int`
  `topWinnerCount`
  The number of top winners who trigger round extension if changed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuctionRound()`
  Describes a round of an auction.
  `AuctionRound(int number, int duration, int extendTime, int topWinnerCount)`
  Describes a round of an auction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### number

    public int number
    1-based number of the round.

  - ### duration

    public int duration
    Duration of the round, in seconds.

  - ### extendTime

    public int extendTime
    The number of seconds for which the round will be extended if there are changes in the top winners.

  - ### topWinnerCount

    public int topWinnerCount
    The number of top winners who trigger round extension if changed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuctionRound

    public AuctionRound()
    Describes a round of an auction.

  - ### AuctionRound

    public AuctionRound(int number, int duration, int extendTime, int topWinnerCount)
    Describes a round of an auction.
    Parameters:
      `number` - 1-based number of the round.
      `duration` - Duration of the round, in seconds.
      `extendTime` - The number of seconds for which the round will be extended if there are changes in the top winners.
      `topWinnerCount` - The number of top winners who trigger round extension if changed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR